#ifndef FRAMESPERSECOND_H
#define FRAMESPERSECOND_H

namespace nsToolkit {

class FramesPerSecond
{
	private:
		int frames;
		float framesPerSecond;
		unsigned long last;
		unsigned long getTimeAsMilliseconds(void);

	public:
		FramesPerSecond(void);

		void reset(void);
		void operator++(int);
		float getFramesPerSecond(void);
};

}

#endif
